
Smart Proxy - Bug #13080

nsupdate module allows to specify mutually exclusive -k and -g options at the same time, which

leads to a cryptic "Broken pipe" error

01/08/2016 07:25 AM - Anonymous

Status: Resolved   

Priority: Normal   

Assignee:    

Category: DNS   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Traceback (this is 1.9.x version of smart-proxy, but the issue is present in develop):

D, [2016-01-07T16:24:06.773200 #2526] DEBUG -- : running /usr/bin/nsupdate k /etc/rndc.key  -g

D, [2016-01-07T16:24:06.777915 #2526] DEBUG - : nsupdate: executed - server dcw03lax01us.prod.auction.local

E, [2016-01-07T16:24:06.778289 #2526] ERROR -- : Broken pipe

D, [2016-01-07T16:24:06.778415 #2526] DEBUG -- : /usr/share/foreman-proxy/modules/dns/providers/nsupdate.rb:73:in `write'

/usr/share/foreman-proxy/modules/dns/providers/nsupdate.rb:73:in `puts'

/usr/share/foreman-proxy/modules/dns/providers/nsupdate.rb:73:in `nsupdate'

/usr/share/foreman-proxy/modules/dns/providers/nsupdate_gss.rb:26:in `nsupdate'

/usr/share/foreman-proxy/modules/dns/providers/nsupdate.rb:19:in `create'

/usr/share/foreman-proxy/modules/dns/dns_api.rb:48:in `block in <class:Api>'

Related issues:

Related to Smart Proxy - Feature #12209: Introduce support for dependency inj... Closed 10/19/2015

History

#1 - 01/11/2017 10:04 AM - Anonymous

This has been fixed in commit 42b958156808eb2a16bd895863b196fca8f2977d.

#2 - 01/11/2017 10:04 AM - Anonymous

- Related to Feature #12209: Introduce support for dependency injection in dns module added

#3 - 01/11/2017 10:04 AM - Anonymous

- Status changed from New to Resolved
